# Quick Start

## Introduction

The Quick Start guide is designed to help users or developers quickly begin using the 4EVER AI RPC API by covering model costs with API keys. Whether you prefer using `curl` commands or the [OpenAI SDK](https://platform.openai.com/docs/libraries), this guide will walk you through the necessary steps to integrate and utilize the API effectively.

## Getting Started

To get started with 4EVERLAND AI RPC API, follow these simple steps:

1. Obtain your [API key](/ai/ai-rpc/api-keys.md) from 4EVER AI RPC.
2. Review the Request documentation to familiarize yourself with all possible parameters and endpoints.
3. Choose your preferred method of integration: using `curl` commands or the OpenAI SDK.

## API Example

Below is an example of how to make a request using the AI RPC:

**typescript**

```typescript
fetch("https://ai.api.4everland.org/api/v1/chat/completions", {
  method: "POST",
  headers: {
    "Authorization": `Bearer ${YOUR_API_KEY}`,
    "HTTP-Referer": `${YOUR_SITE_URL}`, // Optional
    "X-Title": `${YOUR_SITE_NAME}`, // Optional
    "Content-Type": "application/json"
  },
  body: JSON.stringify({
    "model": "google/gemini-pro-1.5",//choose a model
    "messages": [
      {"role": "user", "content": "What is the meaning of life?"},
    ],
    "top_p:" 1, //Optional parameter
    "temperature:" 1, //Optional parameter
    "repetition_penalty:" 1, //Optional parameter
  })
});
```

**Python**

```python
import requests
import json
response = requests.post(
  url="https://ai.api.4everland.org/api/v1/chat/completions",
  headers={
    "Authorization": f"Bearer {YOUR_API_KEY}",
    "HTTP-Referer": f"{YOUR_SITE_URL}", # Optional
    "X-Title": f"{YOUR_APP_NAME}", # Optional
  },
  data=json.dumps({
    "model": "google/gemini-pro-1.5", # Optional
    "messages": [
      {"role": "user", "content": "What is the meaning of life?"}
    ]
    "top_p": 1, # Optional parameter
    "temperature": 1, # Optional parameter
    "frequency_penalty": 0, # Optional parameter
  })
)
```

**Shell**

```shell
curl --location 'https://ai.api.4everland.org/api/v1/chat/completions' \
--header 'authorization: Bearer $YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
    "model": "google/gemini-pro-1.5",
    "messages": [
        {
            "role": "user",
            "content": "what'\''s the meaning of life"
        }
    ],
    "top_p":1,
    "temperature": 1,
    "frequency_penalty":0,
    "presence_penalty":0,
    "repetition_penalty":1,
    "top_k":0
}'
```

## Open AI

You can also use 4EVERLAND AI RPC with OpenAI's client API:

**python**

```python
import openai
openai.api_base = "https://ai.api.4everland.org/api/v1"
openai.api_key = $YOUR_API_KEY
response = openai.ChatCompletion.create(
  model="openai/gpt-3.5-turbo",
  messages=[...],
  headers={
    "HTTP-Referer": $YOUR_SITE_URL, # Optional
    "X-Title": $YOUR_APP_NAME, # Optional
  },
)
reply = response.choices[0].message
```

To stream with Python, [see this example from OpenAI](https://github.com/openai/openai-cookbook/blob/main/examples/How_to_stream_completions.ipynb).

**typescript**

```typescript
import OpenAI from "openai"
const openai = new OpenAI({
  baseURL: "https://ai.api.4everland.org/api/v1",
  apiKey: $YOUR_API_KEY,
  defaultHeaders: {
    "HTTP-Referer": $YOUR_SITE_URL, // Optional
    "X-Title": $YOUR_SITE_NAME, // Optional
  },
  // dangerouslyAllowBrowser: true,
})
async function main() {
  const completion = await openai.chat.completions.create({
    model: "openai/gpt-3.5-turbo",
    messages: [
      { role: "user", content: "Say this is a test" }
    ],
  })
  console.log(completion.choices[0].message)
}
main()
```

{% hint style="info" %}
If you have any questions, please join our [Discord server](https://discord.com/invite/Cun2VpsdjF), or send us an email at <contact@4everland.org>.
{% endhint %}

Remember, innovation and creativity are at your fingertips with 4EVER AI RPC API. [Start exploring today](https://dashboard.4everland.org/)!


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.4everland.org/ai/ai-rpc/quick-start.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
